
GammaLib - Action #740

Feature # 733 (Closed): Implement SPI observation interface

Implement GSPIObservation

02/06/2013 04:46 PM - Knödlseder Jürgen

Status: Closed Start date:  

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.7.0   

Description

History

#1 - 02/18/2013 05:08 PM - Knödlseder Jürgen

- File obs_spi.xml added

Find attached a draft XML file for handling SPI data: attachment:obs_spi.xml.

#2 - 12/11/2013 10:20 PM - Knödlseder Jürgen

- Target version deleted (SPI sprint #1)

#3 - 04/05/2020 10:21 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.7.0

- % Done changed from 0 to 50

I started to implement the GSPIObservation class. The loading of the Observation Group is so far supported, the following XML file can be digested

by the class:

<?xml version="1.0" standalone="no"?>

<observation_list title="observation library">

  <observation name="Crab" id="0044" instrument="SPI">

    <parameter name="ObservationGroup" file="$TEST_SPI_DATA/obs/og_spi.fits"/>

  </observation>

</observation_list>

I still need to implement support for the response functions.

#4 - 04/06/2020 01:02 AM - Knödlseder Jürgen

I merged the current code into devel, yet I still need to add the response part.
#5 - 04/14/2020 10:29 AM - Knödlseder Jürgen

- % Done changed from 50 to 90

I need to add some little code that will automatically load the SPI response when it is encountered in the XML file.

#6 - 04/14/2020 01:54 PM - Knödlseder Jürgen

- File obs_rspfile.xml added

- File obs_rspgrp_line.xml added

- File obs_rspgrp.xml added

- File obs.xml added

- File test.py added

I completed the XML interface for a SPI observation. It is possible to specify now either a response group or a response file. For a response group it is

furthermore possible to specify the line energy. Here are the possible XML formats that are supported:

<observation name="Crab" id="0044" instrument="SPI">

    <parameter name="ObservationGroup" file="og_spi.fits"/>

</observation>

<observation name="Crab" id="0044" instrument="SPI">

    <parameter name="ObservationGroup" file="og_spi.fits"/>

    <parameter name="ResponseGroup"    file="spi_irf_grp.fits" energy="511"/>

</observation>

<observation name="Crab" id="0044" instrument="SPI">

    <parameter name="ObservationGroup" file="og_spi.fits"/>

    <parameter name="ResponseFile"     file="irf.fits"/>

</observation>

Attached a test script attachment:test.py and several XML files that are needed for testing:

attachment:obs.xml

attachment:obs_rspgrp.xml

attachment:obs_rspgrp_line.xml

attachment:obs_rspfile.xml

#7 - 04/14/2020 01:56 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 90 to 100

#8 - 04/14/2020 02:55 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed
Merged into devel.

Files

obs_spi.xml 443 Bytes 02/18/2013 Knödlseder Jürgen

obs_rspfile.xml 353 Bytes 04/14/2020 Knödlseder Jürgen

obs_rspgrp_line.xml 413 Bytes 04/14/2020 Knödlseder Jürgen

obs_rspgrp.xml 400 Bytes 04/14/2020 Knödlseder Jürgen

obs.xml 296 Bytes 04/14/2020 Knödlseder Jürgen

test.py 959 Bytes 04/14/2020 Knödlseder Jürgen
